Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Vorgabe setzen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Vorgabe setzen (946 mal gelesen)
Maese
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Maese an!   Senden Sie eine Private Message an Maese  Schreiben Sie einen Gästebucheintrag für Maese

Beiträge: 26
Registriert: 16.06.2003

erstellt am: 29. Jul. 2004 12:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich suche ein Lisp, mit dem man ein Objekt anwählt, und das die Farbe, Layer und Linientyp des gewählten Objekts aktuell setzt.
Ähnlich MATCHPROP, aber nicht die Eigenschaften übernehmen sondern setzen.

Gruss Maese

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 29. Jul. 2004 13:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Maese 10 Unities + Antwort hilfreich

Bitte:
(defun c:PROP-FROM-OBJEKT ( / OBJEKT OBJEKTDATEN)
  (if (setq OBJEKT (car(entsel "OBJEKT wählen: ")))
    (progn
      (setq OBJEKTDATEN (entget OBJEKT))
      (setvar "CLAYER" (cdr(assoc 8 OBJEKTDATEN)))
      (if(assoc 62 OBJEKTDATEN)
         (setvar "CECOLOR" (itoa(abs(cdr(assoc 62 OBJEKTDATEN)))))
         (setvar "CECOLOR" "BYLAYER")
      )           
      (if (assoc 6 OBJEKTDATEN)
        (setvar "CELTYPE" (cdr(assoc 6 OBJEKTDATEN)))
        (setvar "CELTYPE" "BYLAYER")          
      )
      (if (and(assoc 48 OBJEKTDATEN)(/= (cdr(assoc 48 OBJEKTDATEN))0))
        (setvar "CELTSCALE" (cdr(assoc 48 OBJEKTDATEN)))
        (setvar "CELTSCALE" 1.0)                  
      )
      (if (assoc 370 OBJEKTDATEN)
        (setvar "CELWEIGHT" (cdr(assoc 370 OBJEKTDATEN)))
        (setvar "CELWEIGHT" -1)
      )                  
    )
  ) 
)

------------------
    - Thomas -

[Diese Nachricht wurde von CADmium am 29. Jul. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 29. Jul. 2004 13:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Maese 10 Unities + Antwort hilfreich

alles schonmal dargewesen.... 
http://ww3.cad.de/foren/ubb/Forum54/HTML/002727.shtml

------------------
- Sebastian -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Maese
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Maese an!   Senden Sie eine Private Message an Maese  Schreiben Sie einen Gästebucheintrag für Maese

Beiträge: 26
Registriert: 16.06.2003

erstellt am: 29. Jul. 2004 13:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Dnake vielmal CADmium

Genau das hab ich gesucht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz